import React from "react";

const PostPreview = ({ entry, widgetFor }) => {
  const [_, setData] = React.useState({});

  React.useEffect(() => {
    setData(entry.getIn(['data']).toJS())
  }, [entry]);

  return (
    <React.Fragment>
      <div className="text">{widgetFor('body')}</div>
    </React.Fragment>
  );
};

export default PostPreview;